/* =======================================
メインビジュアル
======================================== */

/* ====== メインビジュアル全体 ====== */
.main-visual {
  position: relative;
  margin-top: var(--header-height, 0px);
  width: 100%;
}

/* 画像ラッパー（差の絶対値に必須） */
.mv-wrap,
.mv-img {
  position: relative;
  width: 100%;
  height: 100%;
  isolation: isolate;
  /* ★ これが無いとPhotoshopと同じにならない */
}

/* ① 画像と同サイズの黒背景 */
.mv-img::before {
  content: "";
  position: absolute;
  inset: 0;
  /* ← 画像と完全同サイズ */
  background: #000;
  transform: translate(220px, 40px);
  /* ← 右220px / 下40px */
  z-index: 0;
}

/* 画像の内側に2pxライン */
.mv-img::after {
  content: "";
  position: absolute;
  inset: 8px;
  /* ← ここが「内側8px」指定 */
  border: 2px solid #001212;
  pointer-events: none;
  /* クリック干渉防止 */
  z-index: 80;
  /* 文字より下にしたい場合は調整 */
}

/* 背景画像 */
.mv-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  position: relative;
  z-index: 1;
}


.main-visual h2 {
  font-size: 72px;
  color: #fff;
  font-weight: 700;
  line-height: 1.3;
  filter: drop-shadow(6px 6px 6px rgba(0, 0, 0, 0.6));
  position: relative;
  z-index: 3;
}

.large {
  font-size: 84px;
}

.mv-img {
  margin-top: 30px;
  width: 100%;
  max-width: 1620px;
  position: relative;
  isolation: isolate;
}

.main-visual .text-box {
  position: absolute;
  right: 30px;
  top: 420px;
}

.main-visual h2.diff {
  display: inline-block;
  position: relative;
  z-index: 3;
  color: rgb(255, 255, 255);
  mix-blend-mode: difference;
}

.main-visual h2.diff span {
  font-size: 110px;
}

.main-visual h2.large {
  font-size: 84px;
}

.mv-en {
  font-family: "Orbitron", sans-serif;
  margin-top: 20px;
  color: var(--orange);
  font-size: 20px;
  font-weight: 700;
  letter-spacing: 0.04em;
  text-align: right;
  padding-right: 40px;
  position: relative;
  filter: drop-shadow(6px 6px 6px rgba(0, 0, 0, 0.6));
  z-index: 2;
}

.scroll {
  position: absolute;
  left: 30px;
  top: 351px;
  writing-mode: vertical-rl;
  z-index: 2;
  font-family: "Orbitron", sans-serif;
  color: #fff;
  font-weight: 700;
  font-size: 16px;
}


.scroll::before {
  animation: scroll 2s infinite;
  background-color: var(--orange);
  bottom: -215px;
  content: "";
  height: 200px;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  width: 2px;
  z-index: 2;
}

.scroll::after {
  background-color: #ccc;
  bottom: -215px;
  content: "";
  height: 200px;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  width: 2px;
}

@keyframes scroll {
  0% {
    transform: scale(1, 0);
    transform-origin: 0 0;
  }

  50% {
    transform: scale(1, 1);
    transform-origin: 0 0;
  }

  51% {
    transform: scale(1, 1);
    transform-origin: 0 100%;
  }

  100% {
    transform: scale(1, 0);
    transform-origin: 0 100%;
  }
}

@media (max-width: 1840px) {

  .mv-wrap {
    padding-right: 220px;
  }

  .main-visual .text-box {
    position: absolute;
    right: 0;
    top: 40%;
  }
}

@media (max-width: 1500px) {
  .mv-wrap {
    padding-right: 120px;
  }

  .main-visual h2 {
    font-size: 62px;
  }

  .main-visual h2.diff span {
    font-size: 100px;
  }

  .main-visual h2.large {
    font-size: 74px;
  }
}

@media (max-width: 1300px) {
  .main-visual .text-box {
    position: absolute;
    right: 30px;
    top: 40%;
  }

  .main-visual h2 {
    font-size: 52px;
  }

  .main-visual h2.diff span {
    font-size: 90px;
  }

  .main-visual h2.large {
    font-size: 64px;
  }

  .mv-en {
    padding-right: 0;
  }

  .scroll {
    left: 30px;
    top: 50%;
    transform: translateY(-50%);
  }


  .scroll::before {
    animation: scroll 2s infinite;
    background-color: var(--orange);
    bottom: -185px;
    content: "";
    height: 160px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 2px;
    z-index: 2;
  }

  .scroll::after {
    background-color: #ccc;
    bottom: -185px;
    content: "";
    height: 160px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 2px;
  }
}

@media (max-width: 1060px) {

  .main-visual h2 {
    font-size: 42px;
  }

  .main-visual h2.diff span {
    font-size: 80px;
  }

  .main-visual h2.large {
    font-size: 54px;
  }
}

@media (max-width: 991px) {
  .mv-wrap {
    padding-right: 80px;
  }

  .main-visual h2 {
    font-size: 32px;
  }

  .main-visual h2.diff span {
    font-size: 70px;
  }

  .main-visual h2.large {
    font-size: 44px;
  }

  .mv-en {
    margin-top: 10px;
    font-size: 18px;
  }
}

@media (max-width: 768px) {
  .mv-img img {
    width: 100%;
    height: 55vh;
    object-fit: cover;
    display: block;
    position: relative;
    z-index: 1;
  }

  .main-visual h2 {
    font-size: 22px;
  }

  .main-visual h2.diff span {
    font-size: 50px;
  }

  .main-visual h2.large {
    font-size: 34px;
  }

  .mv-img::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #000;
    transform: translate(30px, 30px);
    z-index: 0;
  }

  .mv-en {
    margin-top: 10px;
    font-size: 14px;
  }

  .main-visual .text-box {
    position: absolute;
    right: 30px;
    top: 50%;
  }

  .mv-wrap {
    padding-right: 50px;
  }

  .scroll {
    font-size: 12px;
    top: auto;
    left: 15px;
    transform: translateY(0);
    bottom: 180px;
  }

  .scroll::before {
    bottom: -145px;
    height: 120px;
  }

  .scroll::after {
    bottom: -145px;
    height: 120px;
  }

}

@media (max-width: 480px) {

  .main-visual h2 {
    font-size: 16px;
  }

  .main-visual h2.diff span {
    font-size: 40px;
  }

  .main-visual h2.large {
    font-size: 28px;
  }

  .mv-en {
    margin-top: 10px;
    font-size: 12px;
  }

  .main-visual .text-box {
    position: absolute;
    right: 20px;
    top: 50%;
  }

  .mv-img {
    margin-top: 20px;
  }

}

/* =======================================
MISSION
======================================== */
.mission-area {
  padding-top: 140px;
}

.mission-area .head-text {
  font-feature-settings: normal;
  font-size: 18px;
  letter-spacing: 0.04em;
  line-height: 2;
  color: #fff;
  font-weight: 500;
}

.mission-top-box {
  padding-bottom: 287px;
  position: relative;
}

.sec-large-text {
  position: absolute;
  bottom: -50px;
  z-index: 2;
  left: 50%;
  line-height: 1;
  transform: translateX(-50%);
  font-family: "Orbitron", sans-serif;
  font-size: 270px;
  font-weight: 700;
  color: #020202;
}

.recommend-box {
  padding-bottom: 100px;
}

.recommend-box h4 {
  font-size: 36px;
  color: #fff;
  font-weight: 700;
  position: relative;
  z-index: 2;
  margin-bottom: 50px;
  text-align: right;
}

.recommend-box h4 .orange {
  color: var(--orange);
}

.recommend-list .row {
  gap: 30px 0;
}

.recommend-item {
  overflow: hidden;
  height: 311px;
  position: relative;
  background-color: #020202;
  border: 1px solid #6e6e6e;
}

.bg-num {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%) rotate(-30deg);
  font-family: "Orbitron", sans-serif;
  font-size: 240px;
  color: #1c1c1c;
  font-weight: 700;
}

.recommend-item h5 {
  font-size: 24px;
  line-height: 2;
  width: 100%;
  text-align: center;
  font-weight: 700;
  color: #ffffff;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  position: absolute;
}

.recommend-item .grade {
  color: #121212;
  margin: 0 4px;
  background: linear-gradient(to bottom,
      #6e6e6e 0%,
      #ffffff 100%);
  padding: 2px 10px;
}

.white-mini-box {
  width: 10px;
  position: absolute;
  left: 0;
  top: 0;
  height: 10px;
  background-color: #fff;
}

.white-mini-box.box_01 {
  left: 0;
  top: 0
}

.white-mini-box.box_02 {
  right: 0;
  left: auto;
  top: 0
}

.white-mini-box.box_03 {
  right: 0;
  left: auto;
  top: auto;
  bottom: 0;
}

.white-mini-box.box_04 {
  top: auto;
  bottom: 0;
}

@media (max-width: 1780px) {

  .sec-large-text {
    font-size: 240px;
  }
}

@media (max-width: 1580px) {

  .sec-large-text {
    font-size: 200px;
  }

  .mission-top-box {
    padding-bottom: 257px;
  }

  .recommend-item h5 {
    font-size: 20px;
  }
}

@media (max-width: 1280px) {
  .sec-large-text {
    font-size: 160px;
  }

  .mission-top-box {
    padding-bottom: 200px;
  }

  .recommend-box h4 {
    font-size: 30px;
  }
  .recommend-item h5 {
    font-size: 18.5px;
  }
}

@media (max-width: 991px) {
  .mission-area {
    padding-top: 100px;
  }

  .mission-top-box {
    padding-bottom: 150px;
  }

  .sec-large-text {
    font-size: 120px;
  }

  .mission-area .head-text {
    font-feature-settings: normal;
    font-size: 16px;
    letter-spacing: 0.04em;
    line-height: 2;
    color: #fff;
    font-weight: 500;
  }
}

@media (max-width: 768px) {

  .sec-large-text {
    font-size: 80px;
  }

  .mission-top-box {
    padding-bottom: 100px;
  }

  .recommend-box h4 {
    margin-bottom: 30px;
    font-size: 24px;
  }

  .bg-num {
    font-size: 200px;
  }

  .recommend-item {
    height: 250px;
  }
}

@media (max-width: 600px) {
  .sec-large-text {
    font-size: 60px;
  }

  .mission-top-box {
    padding-bottom: 60px;
  }
}

@media (max-width: 480px) {
  .mission-area {
    padding-top: 80px;
  }

  .recommend-box {
    padding-bottom: 80px;
  }

  .sec-large-text {
    font-size: 50px;
  }

  .mission-area .head-text {
    font-size: 14px;
  }

  .recommend-box h4 {
    margin-bottom: 20px;
    font-size: 20px;
  }

  .recommend-item h5 {
    font-size: 18px;
  }

  .bg-num {
    font-size: 160px;
  }
}

/* =======================================
SERVICE
======================================== */
.service-area {
  padding-top: 98px;
  padding-bottom: 117px;
  background-color: #121212;
}

.service-area .en-text {
  font-size: 120px;
}

.service-area h3 {
  color: #fff;
  text-align: center;
  font-size: 48px;
  font-weight: 700;
  position: relative;
  margin-bottom: 35px;
  padding-bottom: 40px;
}

.service-area h3::before {
  content: '';
  background-color: #ffffff;
  height: 3px;
  width: 30px;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 2;
}

.service-area h3::after {
  content: '';
  background-color: #e36025;
  height: 3px;
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
}

.service-area .head-text {
  margin-bottom: 50px;
  font-size: 18px;
  letter-spacing: 0.04em;
  line-height: 2;
  color: #fff;
  font-weight: 500;
}

.service-area .head-text .orange-box {
  background-color: var(--orange);
  color: #121212;
  margin: 0 4px;
  padding: 0 4px;
}

.service-area .head-text .large {
  font-size: 40px;
}

.service-list-item {
  background-color: #121212;
  border: 1px solid #6e6e6e;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.service-cotent {
  display: flex;
  flex-direction: column;
  padding: 40px 38px 55px;
  flex: 1;
}

.service-list-item .text-box {
  display: flex;
  gap: 0 20px;
  align-items: flex-end;
  margin-bottom: 40px;
  position: static;
}

.service-list-item .text-box+p {
  margin-bottom: 45px;
}

.service-list-item .num {
  font-size: 20px;
}

.service-list-item .num {
  background: linear-gradient(to bottom,
      #6e6e6e 0%,
      #6e6e6e 30%,
      #ffffff 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
  font-family: "Orbitron", sans-serif;
  font-size: 20px;
  font-weight: 700;
}

.service-list-item h4 {
  font-weight: 700;
  font-size: 30px;
  background: linear-gradient(to bottom,
      #6e6e6e 0%,
      #6e6e6e 30%,
      #ffffff 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  color: transparent;
}

.service-list .row {
  align-items: stretch;
}

.service-list-item p {
  font-size: 18px;
  line-height: 1.8;
  color: #fff;
}

.service-more-btn {
  position: relative;
  text-align: right;
  margin: auto 0 0 auto;
  display: block;
  color: #fff;
  margin-top: auto;
  font-size: 16px;
  font-weight: 500;
  padding-right: 90px;
  transition: 0.7s;
}

.service-more-btn:hover {
  color: #fff;
}

.service-more-btn::after {
  position: absolute;
  content: '';
  width: 60px;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  height: 3px;
  transition: 0.7s;
  background-color: var(--orange);
}

.service-more-btn:hover {
  opacity: 0.7;
}

.service-more-btn:hover::after {
  background-color: #fff;
}

@media (max-width: 1580px) {
  .service-list-item h4 {
    font-weight: 700;
    font-size: 24px;
    background: linear-gradient(to bottom, #6e6e6e 0%, #6e6e6e 30%, #ffffff 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
  }
}

@media (max-width: 1480px) {
  .service-list-item .text-box {
    display: block;
    gap: 0 20px;
    align-items: flex-end;
    margin-bottom: 40px;
    position: static;
  }

  .service-more-btn {
    position: relative;
    text-align: right;
    margin: auto 0 0 auto;
    display: block;
    padding-right: 90px;
  }
}

@media (max-width: 1280px) {

  .service-cotent {
    display: flex;
    flex-direction: column;
    padding: 20px 18px 25px;
    flex: 1;
  }
}

@media (max-width: 1080px) {
  .service-list-item h4 {
    font-weight: 700;
    font-size: 20px;
    background: linear-gradient(to bottom,
        #6e6e6e 0%,
        #6e6e6e 30%,
        #ffffff 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
  }
}

@media (max-width: 991px) {

  .service-area .en-text {
    font-size: 100px;
  }

  .service-area h3 {
    color: #fff;
    font-size: 40px;
  }

  .service-list-item h4 {
    font-size: 24px;

  }

  .service-area .head-text {
    margin-bottom: 40px;
    font-size: 16px;
    letter-spacing: 0.04em;
    line-height: 2;
    color: #fff;
    font-weight: 500;
  }

  .service-list-item p {
    font-size: 16px;
    line-height: 1.8;
    color: #fff;
  }

  .service-list-item .text-box {
    display: block;
    gap: 0 20px;
    align-items: flex-end;
    margin-bottom: 20px;
    position: static;
  }

  .service-list-item {
    height: auto;
    display: block;
    margin-top: 30px;
  }

  .service-cotent {
    display: block;
  }

  .service-area .head-text .large {
    font-size: 30px;
  }
}

@media (max-width: 768px) {

  .service-area .en-text {
    font-size: 60px;
  }

  .service-area h3 {
    color: #fff;
    font-size: 35px;
  }
}

@media (max-width: 480px) {
  .service-area {
    padding-top: 80px;
    padding-bottom: 80px;
    background-color: #121212;
  }

  .service-area .en-text {
    font-size: 45px;
  }

  .service-area h3 {
    font-size: 28px;
  }

  .service-area .head-text {
    font-size: 14px;
    margin-bottom: 10px;
  }

  .service-list-item p {
    font-size: 14px;
    line-height: 1.8;
    color: #fff;
  }

  .service-more-btn {
    position: relative;
    text-align: right;
    margin: auto 0 0 auto;
    display: block;
    margin-top: auto;
    font-size: 14px;
    font-weight: 500;
    padding-right: 60px;
  }

  .service-more-btn::after {
    position: absolute;
    content: '';
    width: 40px;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 2px;
    background-color: var(--orange);
  }


  .service-area .head-text .large {
    font-size: 25px;
  }

}

/* =======================================
INSTAGRAM
======================================== */
.insta-area {
  padding: 100px 0 0;
}

.insta-box {
  margin-top: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.insta-box p {
  color: #fff;
  font-size: 20px;
}

/* =========================
   Instagram 画像エリア
========================= */
.insta-img {
  position: relative;
  width: 100%;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

/* 画像は中でトリミング */
.insta-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* =========================
   レスポンシブ調整
========================= */

/* タブレット以下（2列） */
@media (max-width: 991px) {
  .insta-img {
    aspect-ratio: 16 / 9;
  }
}

/* スマホ（2列 or 1列想定） */
@media (max-width: 767px) {
  .insta-img {
    aspect-ratio: 16 / 9;
  }
  .insta-box .row {
    gap: 20px 0;
  }
}

/* =======================================
COMPANY
======================================== */
.company-area {
  padding: 100px 0;
}

.company-area .flex-box {
  display: flex;
  justify-content: space-between;
}

.company-left {
  padding-top: 50px;
  padding-right: 50px;
}

.company-left p {
  color: #fff;
  font-size: 18px;
  line-height: 2;
}

.company-area a.more-btn {
  margin: 60px 0 0;
  text-align: center;
}


@media (min-width: 992px) {
  .company-area .company-img {
    margin-right: calc((-100vw + 900px + var(--bs-gutter-x, 0px)) / 2);
  }
}

@media (min-width: 1420px) {
  .company-area .company-img {
    margin-right: calc((-100vw + 1290px + var(--bs-gutter-x, 0px)) / 2);
  }
}

@media (min-width: 1620px) {
  .company-area .company-img {
    margin-right: calc((-100vw + 1590px + var(--bs-gutter-x, 0px)) / 2);
  }
}



.company-area .company-img img {
  width: 100%;
}

.company-area.sec-box .en-text {
  margin-left: 0;
  text-align: left;
}

.company-area.sec-box h3 {
  text-align: left;
  padding-bottom: 40px;
}

.company-area .company-img.sp {
  display: none;
}

@media (max-width: 1200px) {
  .company-area.sec-box .en-text {
    margin-left: 0;
    font-size: 70px;
    text-align: left;
  }

  .company-area.sec-box h3 {
    text-align: left;
    font-size: 50px;
    padding-bottom: 40px;
  }

  .company-left {
    padding-top: 0;
    padding-right: 15px;
  }
}

@media (max-width: 991px) {
  .company-area.sec-box .en-text {
    margin-left: 0;
    font-size: 55px;
    text-align: left;
  }

  .company-area.sec-box h3 {
    text-align: left;
    font-size: 40px;
    padding-bottom: 30px;
  }

  .company-left p {
    color: #fff;
    font-size: 16px;
    line-height: 2;
  }
}

@media (max-width: 768px) {
  .company-area {
    padding: 80px 0;
  }

  .company-area .company-img.sp {
    display: block;
    margin-bottom: 20px;
  }

  .company-area .company-img.pc {
    display: none;
  }

  .company-area a.more-btn {
    margin: 40px auto 0;
  }

  .company-area.sec-box .en-text {
    text-align: center;
  }

  .company-area.sec-box h3 {
    text-align: center;
  }
}

@media (max-width: 700px) {
  .company-area.sec-box .en-text {
    font-size: 50px;
    margin-bottom: 25px;
  }

  .company-area.sec-box h3 {
    font-size: 35px;
  }
}

@media (max-width: 480px) {
  .company-area.sec-box .en-text {
    font-size: 45px;
    margin-bottom: 20px;
  }

  .company-area.sec-box h3 {
    font-size: 28px;
  }

  .company-left p {
    color: #fff;
    font-size: 14px;
    line-height: 2;
  }
}


/* タグコレ */
.tagcolle-load-wrap {
  margin-top: 30px;
}

.tagcolle-btn {
  width: 100% !important;
  margin-top: 60px;
  margin-left: auto !important;
  margin-right: auto !important;
  font-size: 18px !important;
  font-weight: 700 !important;
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
  font-size: 18px !important;
  position: relative;
  text-align: center !important;
  color: #fff !important;
  max-width: 480px !important;
  height: 72px !important;
  padding-right: 30px !important;
  border: 1px solid #ffffff !important;
  transition: 0.7s;
  font-family: "Noto Serif JP", serif !important;
  background-color: #121212 !important;
  box-shadow: none !important;
  border-radius: 0 !important;
}

.tagcolle-btn:hover {
  border: 1px solid var(--orange);
  color: var(--orange);
}
.tagcolle-btn::after {
  content: '';
  background-color: #ffffff;
  position: absolute;
  right: -30px;
  top: 50%;
  transform: translateY(-50%);
  width: 100px;
  height: 3px;
  transition: 0.7s;
}

.tagcolle-btn:hover::after {
  background-color: var(--orange);
}
@media (max-width: 480px) {
  .tagcolle-btn {
    max-width: 300px !important;
    width: 100% !important;
    margin-top: 40px;
    height: 62px !important;
    margin-left: auto;
    margin-right: auto;
    padding: 0 !important;
    font-size: 14px !important;  
  }

  .tagcolle-btn::after {
    content: '';
    background-color: #ffffff !important;
    position: absolute !important;
    right: -30px !important;
    top: 50% !important;
    transform: translateY(-50%);
    width: 50px;
    height: 2px;
  }

}
